qkeyword(1)

NAME
qkeyword - list packages based on keywords

SYNOPSIS
qkeyword [opts] <action> <args>

DESCRIPTION
qkeyword allows various searches based on KEYWORDS aimed at Gentoo developers. Various modes allow to query which packages would be available, or are candidate for keywording.

By default, the entire tree is traversed. Since this process can be slow, or result in too many results, the match arguments can be used to reduce the set of packages evaluated. -p and -c match package name and category respectively. They can both be used at the same time, but -p accepts regular atom format, including version and/or range. Hence, -p can be used to set both category as well as package in one go. The -m maintainer match, while reducing the resulting set, is likely to slow down the query processing since the metadata.xml file has to be read for each package examined. It is best used in combination with -p or -c.

OPTIONS

-p <arg>, --matchpkg <arg>
    match pkgname.

-c <arg>, --matchcat <arg>
    match catname.

-m <arg>, --matchmaint <arg>
    match maintainer email from metadata.xml (slow).

-i, --imlate
    list packages that can be marked stable on a given arch.

-d, --dropped
    list packages that have dropped keywords on a version bump on a given arch.

-t, --testing
    list packages that have ~arch versions, but no stable versions on a given arch.

-s, --stats
    display statistics about the portage tree.

-a, --all
    list packages that have at least one version keyworded for on a given arch.

-n, --not
    list packages that aren't keyworded on a given arch.

--root <arg>
    Set the ROOT env var.

-v, --verbose
    Report full package versions, emit more elaborate output.

-q, --quiet
    Tighter output; suppress warnings.

-C, --nocolor
    Don't output color.

-h, --help
    Print this help and exit.

-V, --version
    Print version and exit.

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/
Product: Portage Development; Component: Tools

AUTHORS
Ned Ludd <solar@gentoo.org>
Mike Frysinger <vapier@gentoo.org>
Fabian Groffen <grobian@gentoo.org>

SEE ALSO
q(1), qatom(1), qcheck(1), qdepends(1), qfile(1), qgrep(1), qlist(1), qlop(1), qmanifest(1), qmerge(1), qpkg(1), qsearch(1), qsize(1), qtbz2(1), qtegrity(1), quse(1), qxpak(1)